DECLARE SUB HenryFjord ()
DECLARE SUB Morbidity ()
DECLARE SUB OdeFromTheChurn ()
DECLARE SUB ComputerPoems ()
DECLARE SUB MartianLandscape ()
DECLARE SUB AfterTheSnow ()
DECLARE SUB OpeningMenu ()
CLS
LOCATE 1, 10: PRINT "Welcome to Poems in QuickBASIC 4.5 by Alexander Baron        "
LOCATE 3: PRINT " To skip the blurb, press ENTER"
LOCATE 5: PRINT " I have been meaning to publish an on-line anthology for some time. Having"
PRINT " slaved away in the small press for more years than I care to remember and"
PRINT " seen other, far less talented poets taken up by mainstream publishers has  "
PRINT " been very frustrating, to put it politely. The knowledge that one is not "
PRINT " alone is cold comfort. Over the past few months I have even seriously "
PRINT " considered publishing a full length book on disk; on-line magazines are now  "
PRINT " commonplace. I might do this yet as a last resort for one or two of my"
PRINT " novels.  "
PRINT
PRINT " In the June 1992 issue of the magazine WRITERS NEWS, an article "
PRINT " 'First electonic poetry anthology' inspired me to sit right down and"
PRINT " and put together what could well be the second electronic anthology, and"
PRINT " in record time. "
PRINT
PRINT " To the best of my knowledge, none of the works contained herein have"
PRINT " ever been published before, although four have been submitted for "
PRINT " publication as competition entries. There is a sort of continuity"
LOCATE 23, 1: PRINT " Press ESCAPE to exit to DOS, press any other key to continue:"
NextScreen$ = INPUT$(1)
SELECT CASE NextScreen$
CASE CHR$(27)
CLS : END
CASE CHR$(13)
CALL OpeningMenu
CASE ELSE
GOTO NextPage
END SELECT
LOCATE 23, 1: PRINT " Press ESCAPE to exit to DOS, press any other key to continue:"
NextPage:
CLS
PRINT " about this work, I suppose, although the themes are disparate. "
PRINT
PRINT " If any non-programmers out there are flirting with the idea of learning"
PRINT " a language for the express purpose of on-line publishing, I can heartily"
PRINT " recommend it. Graphics is not an easy subject, and one can spend a lifetime "
PRINT " exploring DOS, but it really doesn't take long to reach this stage.  The new"
PRINT " technology now means that virtually anyone can become a published poet, "
PRINT " novelist or author (a certain innate talent also helps). And, naturally,"
PRINT " as a choice of programming languages, I heartily recommend QuickBASIC."
PRINT
PRINT " This program is FREEWARE. This means that the copyright is retained."
PRINT " However, Poems in QuickBASIC 4.5 may be freely copied and distributed but"
PRINT " may not be modified or sold. It may be given away with commercial"
PRINT " products on the following condition:"
PRINT ""
PRINT " It must be stated clearly that Poems in QuickBASIC 4.5 does not belong"
PRINT " to the vendor and is included as a free give-away."
PRINT
PRINT " Under no circumstances may Poems in QuickBASIC 4.5 or any part of it"
PRINT " be distributed as hard copy, ie in books or magazines without permission"
PRINT " in writing from the author. "
LOCATE 23, 1: PRINT " Press ESCAPE to exit to DOS, press any other key to continue:"
NextScreen$ = INPUT$(1)
SELECT CASE NextScreen$
CASE CHR$(27)
CLS : END
CASE ELSE
GOTO NextPage2
END SELECT
NextPage2:
CLS
PRINT " Poems in QuickBASIC 4.5 by Alexander Baron is published by"
PRINT " InfoText Manuscripts, "
PRINT " c/o 93c Venner Road,"
PRINT " London SE26 5HU,"
PRINT " England. "
PRINT " Telephone 081 659 7713. "
PRINT " or E-Mail to Alexander Baron on PC Independent +44 0732 770539."
PRINT
PRINT " The above information is correct as of publication date:"
PRINT " Monday, 1st June 1992 but is subject to change without notice."
LOCATE 23, 1: PRINT " Press ESCAPE to exit to DOS, press any other key to continue:"
NextScreen$ = INPUT$(1)
SELECT CASE NextScreen$
CASE CHR$(27)
CLS : END
END SELECT
SCREEN 9
CALL OpeningMenu

SUB AfterTheSnow
CLS
COLOR 12: PRINT "                  After The Second Snow"
COLOR 14: PRINT ""
PRINT ""
PRINT "          The deathly cold of Mother Nature's chill"
PRINT "          And cruelest son bites deep into the ground,"
PRINT "          Freezing to solid ice both pond and rill,"
PRINT "          And thickly crusting every lake and sound;"
PRINT "          Now as the wind swift' dies, the air is still,"
PRINT "          Marred only by the rustlings on the mound"
PRINT "          Of black and hardly scavengers unbound."
PRINT ""
PRINT ""
PRINT "          Across the scattered carrion in haste"
PRINT "          The leathery nigrescence of the crows"
PRINT "          Strips bear the spoils of Winterworld and waste,"
PRINT "          For Satan's bird cares not how cold it blows;"
PRINT "          In ice or desert, Ravenslord unchaste"
PRINT "          Is mastered by the one desire he knows:"
PRINT "          The craving which with rising hunger grows."
PRINT ""
LOCATE 23, 10: PRINT " Hit any key to continue:"
NextScreen$ = INPUT$(1)
CLS
PRINT
PRINT
PRINT
PRINT "          The landscape, stark and naked in its white,"
PRINT "          No other signs of life deigns to betray,"
PRINT "          The songbirds, silent in the morning light,"
PRINT "          Their cheerful chorus long since drained away;"
PRINT "          The Sun, although unwarming, sparkles bright,"
PRINT "          And stings the eye that dares to meet its ray,"
PRINT "          Reflected in the crystalline display."
PRINT ""
PRINT ""
PRINT "          First time around, the whiteness left us hope,"
PRINT "          This time it does naught but demoralise,"
PRINT "          Its harsh companion seals the envelope"
PRINT "          Of death with icy kisses, and the skies"
PRINT "          Are no more blue and nebulous with rope,"
PRINT "          But uniformly grey; no alibis"
PRINT "          Nor mercy is extant wherein She lies."
PRINT
PRINT "          11th February 1985"
LOCATE 23, 10: PRINT " Hit any key to continue:"
ReturnToMenu$ = INPUT$(1)
CALL OpeningMenu
END SUB

SUB ComputerPoems
CLS
COLOR 12: PRINT "                      Back to BASICs"
COLOR 14: PRINT "             "
PRINT
PRINT "              It's often been said that GW BASIC"
PRINT "              (Which is vastly inferior to C),"
PRINT "              Is a relic of IBM's Jurassic"
PRINT "              Just like OS/2, but I disagree."
PRINT "              "
PRINT "              Because the BASIC language, though upbraided,"
PRINT "              Has moved with the times, so it is reviled"
PRINT "              For no good reason, it's long been upgraded"
PRINT "              With on-line help and modules compiled."
PRINT "              "
PRINT "              It's also so much easier to follow,"
PRINT "              It's not case sensitive, which is a help;"
PRINT "              The C language is difficult to swallow,"
PRINT "              Its tangled syntax makes me want to yelp."
PRINT "              "
PRINT "              Now there's another BASIC been brought out: "
PRINT "              Visual, and the best to date, no doubt."
LOCATE 23, 14: PRINT " Hit any key to continue:"
NextScreen$ = INPUT$(1)
CLS
COLOR 12: PRINT "                      Ode To WordStar"
COLOR 14: PRINT "             "
PRINT
PRINT "             Shall I compare thee to WordPerfect? No!"
PRINT "             You never were as difficult as that,"
PRINT "             Alt F, your pop up menu box to show,"
PRINT "             And dot command QU to reformat."
PRINT "             You were the first program I ever used,"
PRINT "             Back in the days when you were called Express;"
PRINT "             A raw beginner, I was so confused"
PRINT "             By DOS, but not once did you cause distress."
PRINT "             Now you're in Version 6 and so advanced,"
PRINT "             But when something real complex must be done,"
PRINT "             With other programs, where I'd sit entranced,"
PRINT "             With you I simply press for help, F1."
PRINT "             You set the standard WordStar, faithful mate,"
PRINT "             WordStar for Windows  - sounds the best to date!"
LOCATE 23, 13: PRINT " Hit any key to continue:"
ReturnToMenu$ = INPUT$(1)
CALL OpeningMenu
END SUB

SUB HenryFjord
CLS
COLOR 12: PRINT "                          Henry Fjord"
COLOR 14: PRINT ""
PRINT "                     "
PRINT "                     There was a Norwegian millionaire "
PRINT "                     By the name of Henry Fjord"
PRINT "                     Who sold his car "
PRINT "                     For a pyrite bar"
PRINT "                     To a con man from abroad."
PRINT "                     "
PRINT "                     "
PRINT "                     He took the bar to the manager"
PRINT "                     Of the Oslo Savings Bank"
PRINT "                     Who said, 'Looks cool,"
PRINT "                     But this is fool's gold, "
PRINT "                     You've been suckered, Hank!'"
LOCATE 23, 20: PRINT "  Hit any key to continue:"
NextScreen$ = INPUT$(1)
CLS
PRINT
PRINT "                     "
PRINT "                     But not to be distressed, "
PRINT "                     He took the bar across the border"
PRINT "                     To Swedenland"
PRINT "                     And, looking bland,"
PRINT "                     He sold it to a broker."
PRINT
PRINT "                     "
PRINT "                     The broker gave him cash,"
PRINT "                     He changed it into krone,"
PRINT "                     Then caught a train "
PRINT "                     Back home again "
PRINT "                     Across the mountain border."
PRINT
PRINT "                     "
PRINT "                     The moral of this storay"
PRINT "                     Is there may be fools in Norway"
PRINT "                     But in Sweden (as I've sin it)"
PRINT "                     There's one bjorn every minute!"
LOCATE 23, 20: PRINT "  Hit any key to continue:"
ReturnToMenu$ = INPUT$(1)
CALL OpeningMenu
END SUB

SUB MartianLandscape
CLS
COLOR 12: LOCATE 1, 21: PRINT "Martian Landscape"
PRINT ""
PRINT ""
COLOR 14: PRINT "                    January Swallow,"
PRINT "                    Why are you not away"
PRINT "                    To warmer climes"
PRINT "                    And better times "
PRINT "                    This Martian Winter's day?"
PRINT ""
PRINT ""
PRINT "                    The cruel ice carpet stretches "
PRINT "                    Cold and white for many a league;"
PRINT "                    Where is your sustenance,"
PRINT "                    The gnats and flies on which you feed?"
PRINT
PRINT
PRINT "                    Where is the mud and spittle cup "
PRINT "                    Which from the eaves was hung,"
PRINT "                    In which you laid"
PRINT "                    Your eggs and raised"
PRINT "                    A brood of chirping young?"
LOCATE 23, 20: PRINT " Hit any key to continue:"
NextScreen$ = INPUT$(1)
CLS
PRINT
PRINT
PRINT "                    Where is your mate? He too has flown!"
PRINT "                    Yet still you buzz around,"
PRINT "                    Can you, like me, perceive the breathing"
PRINT "                    'Neath the frozen ground?"
PRINT
PRINT
PRINT "                    Can you detect the spark of life"
PRINT "                    Which from the trees is cast,"
PRINT "                    Though coldness cuts them like a knife -"
PRINT "                    Petrified and aghast?"
PRINT ""
PRINT ""
LOCATE 23, 20: PRINT " Hit any key to continue:"
NextScreen$ = INPUT$(1)
CLS
PRINT
PRINT
PRINT "                    Do you, like me, believe the frost"
PRINT "                    Will melt again, and green"
PRINT "                    Will burst forth from the wilderness"
PRINT "                    Where only death is seen?"
PRINT
PRINT
PRINT "                    Do you await the end "
PRINT "                    Of this bleak, God-forsaken day?"
PRINT "                    Then rest your wings with me"
PRINT "                    Until the snows are chased away."
PRINT ""
PRINT ""
PRINT "                    7th January 1985"
LOCATE 23, 20: PRINT " Hit any key to continue:"
ReturnToMenu$ = INPUT$(1)
CALL OpeningMenu
END SUB

SUB Morbidity
CLS
COLOR 12: PRINT "                                Morbidity"
COLOR 14: PRINT ""
PRINT "            "
PRINT "                    If death is but the end of consciousness,"
PRINT "                    And there is nothing on the other side,"
PRINT "                    We have no reason to fear its caress,"
PRINT "                    No matter when we cross the great divide."
PRINT ""
PRINT ""
PRINT "                    If there is no punishment or reward"
PRINT "                    When we pass over into the unknown"
PRINT "                    Then piety is but a zealot's fraud,"
PRINT "                    And life has no purpose except our own."
PRINT ""
PRINT ""
PRINT "                    However hard or dutifully we've toiled,"
PRINT "                    However stained our hands with blood or sin,"
PRINT "                    We won't sprout wings and play harps or be boiled;"
PRINT "                    There is no price to pay, no prize to win."
LOCATE 23, 20: PRINT " Hit any key to continue:"
NextScreen$ = INPUT$(1)
CLS
PRINT
PRINT
PRINT "                    But leaving this aside, there still is Hell,"
PRINT "                    Where there is torture, suffering and hurt,"
PRINT "                    It may be in a trench or prison cell,"
PRINT "                    It may be unfair or a just dessert."
PRINT ""
PRINT ""
PRINT "                    For each man makes his own Hell now and here"
PRINT "                    And makes his brother's in both war and peace,"
PRINT "                    Yet oblivion holds more abject fear"
PRINT "                    Than all the torment that will never cease."
LOCATE 23, 20: PRINT " Hit any key to continue:"
ReturnToMenu$ = INPUT$(1)
CALL OpeningMenu
END SUB

SUB OdeFromTheChurn
CLS
COLOR 12: PRINT "                     Ode From The Friesian Churn"
COLOR 14: PRINT "                "
PRINT "                "
PRINT "                My darling Buttercup, how fine though art,"
PRINT "                Your beauty so refined, your charm so rare,"
PRINT "                For though you're not renowned for being smart,"
PRINT "                In all Creation none can match your stare."
PRINT "                "
PRINT "                "
PRINT "                You stand entranced in yonder clover field"
PRINT "                And gaze magnetically; I feel your pull,"
PRINT "                I try to draw away but I must yield"
PRINT "                And creep towards you, spellbound, like a bull."
PRINT "                "
PRINT "                "
PRINT "                Your nose is big and black  and always wet,"
PRINT "                Your grace reflects in every moo-ve you make,"
PRINT "                I always feel a morsel of regret"
PRINT "                And think of you when I eat beef, Miss Steak."
LOCATE 23, 16: PRINT " Hit any key to continue:"
NextScreen$ = INPUT$(1)
CLS
PRINT
PRINT
PRINT
PRINT "                The farmer treats you awfully, my pet,"
PRINT "                You're outside in most every kind of weather,"
PRINT "                But not to worry, I'll ask my Aunt Bet"
PRINT "                To knit a jersey to protect your leather."
PRINT "                "
PRINT "                "
PRINT "                You'll wear that, but you'll never wear my ring"
PRINT "                Because we're worlds apart, but I'll be true,"
PRINT "                I'll never even think of marrying,"
PRINT "                And never have no udder love but moo."
LOCATE 23, 15: PRINT "  Hit any key to continue:"
ReturnToMenu$ = INPUT$(1)
CALL OpeningMenu
END SUB

SUB OpeningMenu
SCREEN 9
CLS
ArrowPos% = 7
COLOR 12:
LOCATE 4, 10
COLOR 14: PRINT "Press a key to move to the poem of your choice then press ENTER:"
COLOR 4, 1
LINE (150, 75)-(615, 300), , BF
COLOR 14: LOCATE 7, 10: PRINT CHR$(26)
LOCATE 9, 10: PRINT CHR$(219)
LOCATE 11, 10: PRINT CHR$(219)
LOCATE 13, 10: PRINT CHR$(219)
LOCATE 15, 10: PRINT CHR$(219)
LOCATE 17, 10: PRINT CHR$(219)
LOCATE 19, 10: PRINT CHR$(219)
LOCATE 7, 23: PRINT "Here"
LOCATE 7, 23: PRINT " After The Second Snow                               "
LOCATE 9, 23: PRINT " Martian Landscape                                   "
LOCATE 11, 23: PRINT " Morbidity                                           "
LOCATE 13, 23: PRINT " Henry Fjord                                         "
LOCATE 15, 23: PRINT " Ode From The Fresian Churn                          "
LOCATE 17, 23: PRINT " Computer Poems                                      "
LOCATE 19, 23: PRINT " Exit To Dos                                         "
TopOfOpeningMenu:
Choose$ = INPUT$(1)
SELECT CASE Choose$
CASE CHR$(27)
CLS : END
CASE CHR$(13)
GotoResponse = 1
CASE ELSE
ArrowPos% = ArrowPos% + 2
LOCATE ArrowPos%, 10: PRINT CHR$(26)
LOCATE ArrowPos% - 2, 10: PRINT CHR$(219)
END SELECT
IF GotoResponse = 1 THEN GOTO OpeningMenuChoice
SELECT CASE ArrowPos%
CASE IS > 19
LOCATE ArrowPos% - 2, 10: PRINT CHR$(219)
LOCATE ArrowPos%, 10: PRINT " "
ArrowPos% = 7
LOCATE ArrowPos%, 10: PRINT CHR$(26)
END SELECT
GOTO TopOfOpeningMenu
OpeningMenuChoice:
GotoResponse = 0
SELECT CASE ArrowPos%
CASE 7
CALL AfterTheSnow
CASE 9
CALL MartianLandscape
CASE 11
CALL Morbidity
CASE 13
CALL HenryFjord
CASE 15
CALL OdeFromTheChurn
CASE 17
CALL ComputerPoems
CASE 19
CLS : END
END SELECT
END SUB

